"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tokenHelper = require("./token-helper");

var _tokenHelper2 = _interopRequireDefault(_tokenHelper);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Плагин для управления токена Laravel Passport.
 */
var VuePassportToken = {
    /**
     * Инъекция плагина.
     *
     * @param {*} Vue Vue.js
     * @param {*} options Дополнительные параметры.
     */
    install: function install(Vue, options) {
        Vue.mixin({
            mounted: function mounted() {
                if (!window.wasLoaded) {
                    window.wasLoaded = true;
                    console.log('Laravel passport-tokens plugin was loaded!');
                }
            }
        });

        Vue.prototype.$auth = new _tokenHelper2.default();
    }
}; /**
    * Импортируем библиотеку для работы с токенами.
    */
exports.default = VuePassportToken;